
QGIS Application - Bug report #13862

Labels are not displayed on Layers with "cut-outs"

2015-11-21 12:35 PM - Yorck Neumann

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Labelling

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21885

Description

Hi, I have a couple of polygons imported which have cut-outs. These cut-outs represent certain areas where no agriculture is taking place

(e.g. power poles). Only for two of these polygons labels (concat(fbid, ' ', bodennutzu)) are displayed. The polygons do not have these cut

outs. No labels are displayed if a polygon does have one of these cut-outs.

Attached two specimen polygons, one where the label is displayed properly (_is ok) and one where there is no label displayed. Both are

entirely configurated identically.

Looking forward to a solution! Many thanks!

YN

Related issues:

Related to QGIS Application - Bug report # 13863: Complex Polygon not display... Closed 2015-11-21

History

#1 - 2015-11-21 12:38 PM - Yorck Neumann

- File Screenshot.PNG added

#2 - 2015-11-21 01:08 PM - Nyall Dawson

- Status changed from Open to Feedback

To rule out configuration issues - can you confirm that removing the holes from these polygons results in the labels showing? It would  also be useful to see

a screenshot with the "show label candidates" setting enabled (it's under the arrow button in the top-right of the labeling tab).

#3 - 2015-11-21 02:09 PM - Yorck Neumann

- File bugtest.PNG added

Hmm.. I'm using QGIS for about 2 days now. The polygon is being shown as ONE object. I tried to delete the cut outs by clicking on "Switch edit  Status"

("Bearbeitungstatus umschalten"). Tried to mark the cut Outs, but did not succeed. Can you tell me how to do it?

#4 - 2015-11-21 02:20 PM - Yorck Neumann

- File candidates.PNG added

Here the candidates Setting - hope this is what you wanted to see...
#5 - 2015-11-21 02:27 PM - Yorck Neumann

- File overview.PNG added

#6 - 2015-11-21 08:04 PM - Nyall Dawson

I mean I need a screenshot where showing candidates is enabled. Also try modifying the placement mode from centroid to horizontal and see if that has an

effect.

#7 - 2015-11-22 12:20 AM - Yorck Neumann

- File show_candidates___horizontal.PNG added

- Assignee set to Nyall Dawson

I believe that is the setting shown in "candidates.png" posted in #4... I adjusted the setting and then re-opened the settings dialog just to show the setting.

Or is it something else you wanted to see?

Further I switched to horizontal (see screenshot) without any change - label still does not appear.

Maybe the problem is also related to my second bug report #13863

I can reproduce the issue there as well. If polygon a polygon is "complex" no label is shown and the polygon disappears if it is partially moved out of the

main view.

#8 - 2015-11-22 12:36 AM - Nyall Dawson

Yes, but you should see grey/red rectangles all over your map when "show candidates" is enabled. Do you see that?

#9 - 2015-11-22 05:13 AM - Yorck Neumann

- File Test_Project.zip added

No, I can not see any grey / red rectangles.

I have set up a new Test-Project just having a non-complex (showing the label) and a complex polygon (not showing the label) and have attached it here.

However, I am facing the same behaviour also in the Test-Project and also on my Notebook, also running QGIS 2.12. So, from my point of view, the

problem is reproducable. Maybe you would want to test with the attached project (I believe if you unpack it on your Windows-Desktop it should be openable

right away).

Once again, the behaviour, that the complex polygon disappears, if it is not displayable as a whole on the screen (see #13863) also happens here.

#10 - 2015-12-21 01:21 PM - Giovanni Manghi

Yorck Neumann wrote:

No, I can not see any grey / red rectangles.

I have set up a new Test-Project just having a non-complex (showing the label) and a complex polygon (not showing the label) and have attached it
here.

However, I am facing the same behaviour also in the Test-Project and also on my Notebook, also running QGIS 2.12. So, from my point of view, the

problem is reproducable. Maybe you would want to test with the attached project (I believe if you unpack it on your Windows-Desktop it should be

openable right away).

Once again, the behaviour, that the complex polygon disappears, if it is not displayable as a whole on the screen (see #13863) also happens here.

also in this project you have a layer with a polygon with unclosed rings

see also #13863-1.

this and #13863 should be closed as invalid.

#11 - 2015-12-22 07:50 AM - Giovanni Manghi

- Operating System deleted (Win 10)

- OS version deleted (1511)

- Target version deleted (Version 2.14)

will be fixed with https://github.com/qgis/QGIS/pull/2606

#12 - 2016-01-04 04:49 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

#13 - 2017-05-19 09:23 AM - Jürgen Fischer

- Related to Bug report #13863: Complex Polygon not displayed on screen if it can not be displayed entirely added

Files

DEMVLI076CD10025_bug_.zip 4.06 KB 2015-11-21 Yorck Neumann

DEMVLI076CD10019_is_ok.zip 3.79 KB 2015-11-21 Yorck Neumann

Screenshot.PNG 2.1 MB 2015-11-21 Yorck Neumann

bugtest.PNG 555 KB 2015-11-21 Yorck Neumann

candidates.PNG 1.22 MB 2015-11-21 Yorck Neumann

overview.PNG 1.5 MB 2015-11-21 Yorck Neumann

show_candidates___horizontal.PNG 623 KB 2015-11-21 Yorck Neumann

Test_Project.zip 23.9 KB 2015-11-22 Yorck Neumann
